searchNodes=[{"ref":"Commanded.Registration.SwarmRegistry.html","title":"Commanded.Registration.SwarmRegistry","type":"module","doc":"Process registration and distribution throughout a cluster of nodes using Swarm."},{"ref":"Commanded.Registration.SwarmRegistry.html#child_spec/2","title":"Commanded.Registration.SwarmRegistry.child_spec/2","type":"function","doc":"Return an optional supervisor spec for the registry"},{"ref":"Commanded.Registration.SwarmRegistry.html#start_child/4","title":"Commanded.Registration.SwarmRegistry.start_child/4","type":"function","doc":"Starts a uniquely named child process of a supervisor using the given module and args. Registers the pid with the given name."},{"ref":"Commanded.Registration.SwarmRegistry.html#start_link/4","title":"Commanded.Registration.SwarmRegistry.start_link/4","type":"function","doc":"Starts a uniquely named GenServer process for the given module and args. Registers the pid with the given name."},{"ref":"Commanded.Registration.SwarmRegistry.html#supervisor_child_spec/3","title":"Commanded.Registration.SwarmRegistry.supervisor_child_spec/3","type":"function","doc":"Starts a supervisor."},{"ref":"Commanded.Registration.SwarmRegistry.html#via_tuple/2","title":"Commanded.Registration.SwarmRegistry.via_tuple/2","type":"function","doc":"Return a :via tuple to route a message to a process by its registered name."},{"ref":"Commanded.Registration.SwarmRegistry.html#whereis_name/2","title":"Commanded.Registration.SwarmRegistry.whereis_name/2","type":"function","doc":"Get the pid of a registered name."},{"ref":"Commanded.Registration.SwarmRegistry.Monitor.html","title":"Commanded.Registration.SwarmRegistry.Monitor","type":"module","doc":"A GenServer process that starts and monitors another process that is distributed using Swarm. This is used to ensure the process can be supervised by a Supervisor."},{"ref":"Commanded.Registration.SwarmRegistry.Monitor.html#child_spec/1","title":"Commanded.Registration.SwarmRegistry.Monitor.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Commanded.Registration.SwarmRegistry.Monitor.html#debug/1","title":"Commanded.Registration.SwarmRegistry.Monitor.debug/1","type":"function","doc":"See Logger.debug/1."},{"ref":"Commanded.Registration.SwarmRegistry.Monitor.html#handle_info/2","title":"Commanded.Registration.SwarmRegistry.Monitor.handle_info/2","type":"function","doc":"Send any other messages to the monitored process, if available"},{"ref":"Commanded.Registration.SwarmRegistry.Monitor.html#info/1","title":"Commanded.Registration.SwarmRegistry.Monitor.info/1","type":"function","doc":"See Logger.info/1."},{"ref":"getting-started.html","title":"Getting started","type":"extras","doc":"Getting started Commanded Swarm registry can be installed from hex as follows. Add commanded_swarm_registry to your list of dependencies in mix.exs: def deps do [{:commanded_swarm_registry, &quot;~&gt; 1.0&quot;}] end Fetch mix dependencies: mix deps.get Configure your Commanded application to use the Swarm registry (e.g. config/config.exs): config :commanded, registry: Commanded.Registration.SwarmRegistry"},{"ref":"cluster.html","title":"Cluster","type":"extras","doc":"Cluster"},{"ref":"cluster.html#cluster-formation-on-node-start","title":"Cluster - Cluster formation on node start","type":"extras","doc":"You can configure the :kernel application to wait for cluster formation before starting your application during node start up. The sync_nodes_optional configuration specifies which nodes to attempt to connect to within the sync_nodes_timeout window, defined in milliseconds, before continuing with startup. There is also a sync_nodes_mandatory setting which can be used to enforce all nodes are connected within the timeout window or else the node terminates. config :kernel, sync_nodes_optional: [:&quot;node1@192.168.1.1&quot;, :&quot;node2@192.168.1.2&quot;], sync_nodes_timeout: 30_000 The sync_nodes_timeout can be configured as :infinity to wait indefinitely for all nodes to connect. All involved nodes must have the same value for sync_nodes_timeout. This approach will only work for Elixir releases. You will need to use Erlang&#39;s sys.config file for development purposes. The Erlang equivalent of the :kernerl mix config, as above, is: [{kernel, [ {sync_nodes_optional, [&#39;node1@127.0.0.1&#39;, &#39;node2@127.0.0.1&#39;]}, {sync_nodes_timeout, 30000} ]} ]."},{"ref":"cluster.html#starting-a-cluster","title":"Cluster - Starting a cluster","type":"extras","doc":"Run an Erlang Port Mapper Daemon (epmd): $ epmd -d Start an iex console per node: $ MIX_ENV=test iex --name node1@127.0.0.1 --erl &quot;-config cluster/node1.sys.config&quot; -S mix $ MIX_ENV=test iex --name node2@127.0.0.1 --erl &quot;-config cluster/node2.sys.config&quot; -S mix $ MIX_ENV=test iex --name node3@127.0.0.1 --erl &quot;-config cluster/node3.sys.config&quot; -S mix The node specific &lt;node&gt;.sys.config files ensure the cluster is formed before starting the application, assuming this occurs within the 30 seconds timeout."}]